%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           fusion-icon
Version:        0.1
Release:        0.13%{?dist}
Summary:        Compiz Fusion window decorator and theme management utility

Group:          User Interface/Desktops
License:        GPL

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# git clone git://anongit.opencompositing.org/users/crdlb/fusion-icon fusion-icon
# tar -cvf fusion-icon-0.1.tar fusion-icon
# bzip2 fusion-icon-0.1.tar

URL:            http://www.opencompositing.org
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#compiz is not available on these arches
ExcludeArch:    s390 s390x ppc64
Requires:       compiz = 0.5.2, ccsm
Obsoletes:      compiz-icon <= 0.0.1
Provides:       compiz-icon = %{version}

BuildArch:      noarch
Patch100:       aiglx-patched-compiz.patch

%description
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

%package gtk
Requires:  pygtk2 >= 2.10
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   GTK UI for fusion-icon

%description gtk
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

This package provides the gtk UI for fusion-icon

%package qt
Requires:  PyQt
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   QT UI for fusion-icon

%description qt
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

This package provides the gtk UI for fusion-icon

%package all
Requires:  %{name} = %{version}-%{release}
Requires:  %{name}-gtk = %{version}-%{release}
Requires:  %{name}-qt = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   Metapackage to install all fusion-icon bits

%description all
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

This package will install all fusion-icon bits

%prep
%setup -q -n fusion-icon
#%patch100 -p1 -b .aiglx-patched-compiz

%build


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install || exit 1

%post gtk
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


%postun gtk
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi

%post qt
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :


%postun qt
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/fusion-icon
%{_datadir}/applications/fusion-icon.desktop
%dir %{_datadir}/fusion-icon/
%{_datadir}/fusion-icon/fusion-icon.py*
%{_datadir}/fusion-icon/libfusionicon.py*
%{_datadir}/icons/hicolor/22x22/apps/fusion-icon.png
%{_datadir}/icons/hicolor/24x24/apps/fusion-icon.png
%{_datadir}/icons/hicolor/32x32/apps/fusion-icon.png
%{_datadir}/icons/hicolor/48x48/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg

%files gtk
%defattr(-,root,root,-)
%{_datadir}/fusion-icon/interface_gtk.py*

%files qt
%defattr(-,root,root,-)
%{_datadir}/fusion-icon/interface_qt3.py*
%{_datadir}/fusion-icon/interface_qt4.py*

%files all
%defattr(-,root,root,-)


%changelog
* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Sun Jul 11 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.6.20070711git
- Splitted to 3 packages, fusion-icon, fusion-icon-gtk, fusion-icon-qt, and 1 metapackage, fusion-icon-all

* Sun Jul 05 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070703git
- Added gtk-update-icon-cache in post and postun

* Sun Jul 03 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.2.20070703git
- 20070703git

* Sun Jul 01 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.1.20070701git
- Initial RPM package

